Lucene search

K
ibmIBM71775F8B80AF3BBF0CF10F0859E199AE222B899F2C8DF45901295ABF96EB12C8
HistoryApr 01, 2020 - 5:05 a.m.

Security Bulletin: Db2 Query Management Facility is vulnerable to IBM SDK, Java Technology Edition Quarterly CPU & Oracle Jan 2020 (CVE-2019-4732)

2020-04-0105:05:01
www.ibm.com
14

EPSS

0.003

Percentile

69.0%

Summary

IBM SDK, Java Technology Edition Quarterly CPU - Jan 2020 - Includes Oracle Jan 2020 CPU minus CVE-2020-2601, CVE-2020-2654, and CVE-2020-2590

Vulnerability Details

All applicable Java SE CVEs published by Oracle as part of their January 2020 Critical Patch Update, except for CVE-2020-2601, CVE-2020-2654, and CVE-2020-2590, plus one additional vulnerability. See attached document for full details.

CVE-2020-2601, CVE-2020-2654, and CVE-2020-2590 will be handled in separate Advisories.

Please keep an eye on the January CPU PSIRT forum thread for updates:

https://w3-connections.ibm.com/forums/html/threadTopic?id=93e9b0d5-8e08-4cc3-a39e-93cb6d2a20c6

Vulnerabilities

CVE-2020-2604, CVE-2020-2593, CVE-2020-2659, CVE-2020-2583, CVE-2019-4732

CVEID: CVE-2020-2604
Description: Vulnerability in the Java SE, Java SE Embedded product of Oracle Java SE (component: Serialization). Supported versions that are affected are Java SE: 7u241, 8u231, 11.0.5 and 13.0.1; Java SE Embedded: 8u231. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded. Successful attacks of this vulnerability can result in takeover of Java SE, Java SE Embedded. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability can also be exploited by using APIs in the specified Component, e.g., through a web service which supplies data to the APIs. CVSS v3.0 Base Score 8.1 (Confidentiality, Integrity and Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H).
CVSS Base Score: 8.1
CVSS Temporal Score: https://exchange.xforce.ibmcloud.com/vulnerabilities/174551 for more information
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H)
Affected Platforms:

CVEID: CVE-2020-2593
Description: Vulnerability in the Java SE, Java SE Embedded product of Oracle Java SE (component: Networking). Supported versions that are affected are Java SE: 7u241, 8u231, 11.0.5 and 13.0.1; Java SE Embedded: 8u231. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded. Successful attacks of this vulnerability can result in unauthorized update, insert or delete access to some of Java SE, Java SE Embedded accessible data as well as unauthorized read access to a subset of Java SE, Java SE Embedded accessible data. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability can also be exploited by using APIs in the specified Component, e.g., through a web service which supplies data to the APIs. CVSS 3.0 Base Score 4.8 (Confidentiality and Integrity impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N).
CVSS Base Score: 4.8
CVSS Temporal Score: https://exchange.xforce.ibmcloud.com/vulnerabilities/174541 for more information
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:N)
Affected Platforms:

CVEID: CVE-2020-2659
Description: Vulnerability in the Java SE, Java SE Embedded product of Oracle Java SE (component: Networking). Supported versions that are affected are Java SE: 7u241 and 8u231; Java SE Embedded: 8u231. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Java SE, Java SE Embedded. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability can also be exploited by using APIs in the specified Component, e.g., through a web service which supplies data to the APIs. CVSS 3.0 Base Score 3.7 (Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L).
CVSS Base Score: 3.7
CVSS Temporal Score: https://exchange.xforce.ibmcloud.com/vulnerabilities/174606 for more information
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L)
Affected Platforms:

CVEID: CVE-2020-2583
Description: Vulnerability in the Java SE, Java SE Embedded product of Oracle Java SE (component: Serialization). Supported versions that are affected are Java SE: 7u241, 8u231, 11.0.5 and 13.0.1; Java SE Embedded: 8u231. Difficult to exploit vulnerability allows unauthenticated attacker with network access via multiple protocols to compromise Java SE, Java SE Embedded. Successful attacks of this vulnerability can result in unauthorized ability to cause a partial denial of service (partial DOS) of Java SE, Java SE Embedded. Note: This vulnerability applies to Java deployments, typically in clients running sandboxed Java Web Start applications or sandboxed Java applets (in Java SE 8), that load and run untrusted code (e.g., code that comes from the internet) and rely on the Java sandbox for security. This vulnerability can also be exploited by using APIs in the specified Component, e.g., through a web service which supplies data to the APIs. CVSS 3.0 Base Score 3.7 (Availability impacts). CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L).
CVSS Base Score: 3.7
CVSS Temporal Score: https://exchange.xforce.ibmcloud.com/vulnerabilities/174531 for more information
CVSS Vector: (CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:L)
Affected Platforms:

CVEID: CVE-2019-4732
Description: IBM SDK, Java Technology Edition Version 7.0.0.0 through 7.0.10.55, 7.1.0.0 through 7.1.4.55, and 8.0.0.0 through 8.0.6.0 could allow a local authenticated attacker to execute arbitrary code on the system, caused by DLL search order hijacking vulnerability in Microsoft Windows client. By placing a specially-crafted file in a compromised folder, an attacker could exploit this vulnerability to execute arbitrary code on the system. IBM X-Force ID: 172618.
CVSS Base Score: 7.2
CVSS Temporal Score: https://exchange.xforce.ibmcloud.com/vulnerabilities/172618 for more information
CVSS Vector: (CVSS:3.0/AV:L/AC:H/PR:H/UI:R/S:C/C:H/I:H/A:H)
Affected Platforms: IBM Java 7.0.0.0, IBM Java 7.0.10.55, IBM Java 7.1.0.0, IBM Java 7.1.4.55, IBM Java 8.0.0.0, IBM Java 8.0.6.0

Affected Products and Versions

Db2 Query Management Facility for z/OS 12.2;

Db2 Query Management Facility for z/OS 12.1;

Db2 Query Management Facility for z/OS 11.2.1;

Db2 Query Management Facility for z/OS 11.2;

Db2 Query Management Facility for z/OS 11.1;

Query Management Facility Classic Edition 11.1;

Query Management Facility Enterprise Edition 11.1;

Remediation/Fixes

See “Workarounds and Mitigations”.

Workarounds and Mitigations

Use the following instructions to download the latest JRE version from the IBM Java download portal and replace it with the JRE you are currently invoking.

Steps to update Java - QMF for Workstation:

  1. Download JRE 8.0.6.5 version from IBM Java download portal.
  2. Close QMF for workstation , if any instance is running.
  3. Copy 8.0.6.5 JRE version to C:\Program Files\IBM\Db2 Query Management Facility\QMF for Workstation\jre.
  4. Start application

Steps to update Java - QMF Vision:

1. Go to: https://adoptopenjdk.net/releases.html

2. Download Open JDK 8(LTS) and extract the files to a temporary location.

3. Stop the following Windows services:

- IBM QMF Vision Indexing Service (this will also stop IBM QMF Vision Web Service due to dependencies)

- QMFServerLite

4. Delete

C:\Program Files\IBM\DB2 Query Management Facility\QMF Vision\elasticsearch\java\jre1.8.0_131.

Note: The folder name would be “jre” in case security bulletin reference # 0880785 is already applied.

5. Copy content of downloaded jre from the temporary location (step # 2) to

C:\Program Files\IBM\DB2 Query Management Facility\QMF Vision\elasticsearch\java.

6. Rename folder jre1.8.0_131 to jre.

Note: If the folder in the java folder is already renamed to “jre” via the security bulletin reference #

0880785, then steps 7 through 12 are not required. You can directly go to step 13 and start the relevant

services,

Security bulletin # 0880785 link - https://www-01.ibm.com/support/docview.wss?uid=ibm10880785

7. Under C:\Program Files\IBM\DB2 Query Management Facility\QMF Vision, edit the following 6 files:

elasticsearch/bin/install.bat

elasticsearch/bin/start.bat

elasticsearch/bin/stop.bat

elasticsearch/bin/uninstall.bat

qmfserver/bat/setenv.bat

qmfserver/conf/wrapper.conf

For each file, replace “jre1.8.0_131” with “jre”, and save.

8. Open a Windows Command window in Administrator mode and Change directory to elasticsearch/bin.

9. Execute:

uninstall.bat

install.bat

10. Change directory to qmfserver/bat.

11 Execute:

uninstallService.bat

installService.bat.

12. In the Windows Services console, edit “IBM QMF Vision Indexing Service” to change startup type from

“Manual” to “Automatic”.

13. Restart Windows Services:

- IBM QMF Vision Indexing Service

- IBM QMF Vision Web Service

- QMFServerLite

EPSS

0.003

Percentile

69.0%

Related for 71775F8B80AF3BBF0CF10F0859E199AE222B899F2C8DF45901295ABF96EB12C8